Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQXmlParseException Class Reference
[XML module]

The TQXmlParseException class is used to report errors with the TQXmlErrorHandler interface. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqxml.h>`

List of all member functions.

## Public Members

- TQXmlParseException ( const TQString & name = "", int c = -1, int l = -1, const TQString & p = "", const TQString & s = "" )
- int columnNumber () const
- int lineNumber () const
- TQString publicId () const
- TQString systemId () const
- TQString message () const

## Detailed Description

The TQXmlParseException class is used to report errors with the TQXmlErrorHandler interface.

The XML subsystem constructs an instance of this class when it detects an error. You can retrieve the place where the error occurred using systemId(), publicId(), lineNumber() and columnNumber(), along with the error message().

See also TQXmlErrorHandler, TQXmlReader, and XML.

## Member Function Documentation

### TQXmlParseException::TQXmlParseException ( const TQString & name = "", int c = -1, int l = -1, const TQString & p = "", const TQString & s = "" )

Constructs a parse exception with the error string name for column c and line l for the public identifier p and the system identifier s.

### int TQXmlParseException::columnNumber () const

Returns the column number where the error occurred.

### int TQXmlParseException::lineNumber () const

Returns the line number where the error occurred.

### TQString TQXmlParseException::message () const

Returns the error message.

### TQString TQXmlParseException::publicId () const

Returns the public identifier where the error occurred.

### TQString TQXmlParseException::systemId () const

Returns the system identifier where the error occurred.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.